<div class="loading" *ngIf='status_loading'>Loading&#8230;</div>
<div [ngStyle]="{'display': template_manage.summary === 'show' ? 'none' : '' }">

  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header" style="font-size: 28px;">ข้อมูลผู้ออกผลิตภัณฑ์</a>
      </div>
      <p class="pps-header_th">
        เพิ่มรายละเอียดข้อมูลตามหัวข้อที่ปรากฎด้านล่าง
      </p>
    </div>
    <div class="pt-2 flex-shrink-1 bd-highlight"
      *ngIf="stepFourData.validate === true || stepFourData.validate === null">
      <button type="button" class="btn btn-primary saveDraft" (click)="saveDraft()">
        บันทึกร่างใบคำขอ
      </button></div>
  </div>

</div>

<div class="alert alert-success" role="alert" [ngStyle]="{'display': saveDraftstatus !== 'success' ? 'none' : '' }">
  <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark">
    บันทึกร่างใบคำขอเรียบร้อย</a>
</div>

<!-- ======================================== validate  = true =================================================== -->
<div style="margin-left: 10px;" *ngIf="stepFourData.validate === true || stepFourData.validate === null ">
  <div class="row">
    <div class="col-12">
      <div class="row">
        <div class="col-md-6" style="padding-right: 12px;">
          <p class="head-detal">ผู้บริหารฝ่าย/ทีม</p>
          <input type="text" class="form-control input-detail" placeholder="กรุณาระบุผู้บริหารฝ่าย/ทีม"
            (ngModelChange)="changeSaveDraft()" [(ngModel)]="stepFourData.executiveName">
        </div>
        <div class="col-md-6" style="padding-left: 12px;">
          <p class="head-detal">เบอร์โทรศัพท์</p>
          <input type="text" class="form-control input-detail" placeholder="กรุณาระบุเบอร์โทรศัพท์"
            (ngModelChange)="changeSaveDraft()" [(ngModel)]="stepFourData.executiveName_phoneNumber">
        </div>
      </div>
    </div>
    <div class="col-12">
      <div class="row">
        <div class="col-md-6" style="padding-right: 12px;">
          <p class="head-detal">ผู้ประสานงาน</p>
          <input type="text" class="form-control input-detail" placeholder="กรุณาระบุผู้ประสานงาน"
            (ngModelChange)="changeSaveDraft()" [(ngModel)]="stepFourData.coordinatorName">
        </div>
        <div class="col-md-6" style="padding-left: 12px;">
          <p class="head-detal">เบอร์โทรศัพท์</p>
          <input type="text" class="form-control input-detail" placeholder="กรุณาระบุเบอร์โทรศัพท์"
            (ngModelChange)="changeSaveDraft()" [(ngModel)]="stepFourData.coordinatorName_phoneNumber">
        </div>
      </div>
    </div>
  </div>

  <div class="row" [ngStyle]="{'display': template_manage.summary === 'show' ? 'none' : '' }">
    <div class="col-12">

      <br> <br> <br> <br>
      <button class="btn btn-outline-secondary button-next" type="button" (click)="next_step()">ถัดไป</button>
    </div>
  </div>
  <br> <br>


</div>
<!-- ======================================== end validate  = true =================================================== -->

<!-- ======================================== validate  = false =================================================== -->
<div style="margin-left: 10px;" *ngIf="stepFourData.validate === false">
  <div class="row">
    <div class="col-12">
      <div class="row">
        <div class="col-md-2" style="padding-right: 12px;">
          <p class="head-detal m-0">ผู้บริหารฝ่าย/ทีม</p>
        </div>
        <div class="col-md-4 head-detal m-0" style="padding-right: 12px;word-break: break-all;">
            {{stepFourData.executiveName}}
          <!-- <p class="head-detal m-0">{{stepFourData.executiveName}}</p> -->
        </div>
        <div class="col-md-2" style="padding-right: 12px;">
          <p class="head-detal m-0">เบอร์โทรศัพท์</p>
        </div>
        <div class="col-md-4" style="padding-left: 12px;">
          <p class="head-detal m-0">{{stepFourData.executiveName_phoneNumber}}</p>
        </div>

      </div>
    </div>

    <div class="col-12">
      <br><br>
    </div>

    <div class="col-12">
      <div class="row">
        <div class="col-md-2" style="padding-right: 12px;">
          <p class="head-detal m-0">ผู้ประสานงาน</p>
        </div>
        <div class="col-md-4 head-detal m-0" style="padding-right: 12px;word-break: break-all;">
          {{stepFourData.coordinatorName}}
        </div>
        <div class="col-md-2" style="padding-right: 12px;">
          <p class="head-detal m-0">เบอร์โทรศัพท์</p>
        </div>
        <div class="col-md-4" style="padding-left: 12px;">
          <p class="head-detal m-0">{{stepFourData.coordinatorName_phoneNumber}}</p>
        </div>

      </div>
    </div>
  </div>

  <br> <br>

</div>
<!-- ======================================== end validate  = false =================================================== -->
<div class="row"
*ngIf="stepFourData.validate === false"
 [ngStyle]="{'display': template_manage.summary === 'show' ? 'none' : '' }">
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next" type="button" (click)="viewNext()">ถัดไป</button>
  </div>
</div>
<br>